<?php
error_reporting(false);

header('Content-Type: application/json');
header("Cache-Control: no-cache");
header("Pragma: no-cache");

include('../conexao.php');

$id = (int)$_POST['id'];

if($_POST['arquivo'] != '') {
$up = mysqli_query($con, "update tabela_digital_programacao set titulo='".utf8_decode($_POST['titulo'])."', tempo_imagem='".$_POST['tempo_imagem']."', arquivo = '".$_POST['arquivo']."' where id = ".$id);
} else {
$up = mysqli_query($con, "update tabela_digital_programacao set titulo='".utf8_decode($_POST['titulo'])."', tempo_imagem='".$_POST['tempo_imagem']."' where id = ".$id);
}

if($up) {
$varm = array('resp' => 'ok');
} else {
$varm = array('resp' => 'erro');
}

echo json_encode($varm); 

?>